SHARE
TWEET

Lutron Certificate Log

a guest Oct 8th, 2018 95 Never
Not a member of Pastebin yet? Sign Up, it unlocks many cool features!
  1.  File "/usr/lib/python3.6/site-packages/flask/app.py", line 1718, in handle_user_exception
  2.     reraise(exc_type, exc_value, tb)
  3.   File "/usr/lib/python3.6/site-packages/flask/_compat.py", line 35, in reraise
  4.     raise value
  5.   File "/usr/lib/python3.6/site-packages/flask/app.py", line 1813, in full_dispatch_request
  6.     rv = self.dispatch_request()
  7.   File "/usr/lib/python3.6/site-packages/flask/app.py", line 1799, in dispatch_request
  8.     return self.view_functions[rule.endpoint](**req.view_args)
  9.   File "/etc/lutron/cert_server.py", line 253, in process_url
  10.     get_certificate(oauth_code)
  11.   File "/etc/lutron/cert_server.py", line 109, in get_certificate
  12.     'grant_type': 'authorization_code'}).json()
  13.   File "/usr/lib/python3.6/site-packages/requests/api.py", line 112, in post
  14.     return request('post', url, data=data, json=json, **kwargs)
  15.   File "/usr/lib/python3.6/site-packages/requests/api.py", line 58, in request
  16.     return session.request(method=method, url=url, **kwargs)
  17.   File "/usr/lib/python3.6/site-packages/requests/sessions.py", line 512, in request
  18.     resp = self.send(prep, **send_kwargs)
  19.   File "/usr/lib/python3.6/site-packages/requests/sessions.py", line 622, in send
  20.     r = adapter.send(request, **kwargs)
  21.   File "/usr/lib/python3.6/site-packages/requests/adapters.py", line 513, in send
  22.     raise ConnectionError(e, request=request)
  23. requests.exceptions.ConnectionError: HTTPSConnectionPool(host='device-login.lutron.com', port=443): Max retries exceeded with url: /oauth/token (Caused by NewConnectionError('<urllib3.connection.VerifiedHTTPSConnection object at 0x7fd955db45f8>: Failed to establish a new connection: [Errno -3] Try again',))
  24. 192.168.0.138 - - [08/Oct/2018 20:44:06] "POST /process_url HTTP/1.1" 500 -
  25. 192.168.0.138 - - [08/Oct/2018 20:45:29] "GET /reset HTTP/1.1" 302 -
  26. 192.168.0.138 - - [08/Oct/2018 20:45:29] "GET / HTTP/1.1" 200 -
  27. [2018-10-08 20:46:06,319] ERROR in app: Exception on /process_url [POST]
  28. Traceback (most recent call last):
  29.   File "/etc/lutron/cert_server.py", line 91, in get_certificate
  30.     with open(CERT_FILE, 'rb') as f:
  31. FileNotFoundError: [Errno 2] No such file or directory: '/ssl/lutron/caseta.crt'
  32.  
  33. During handling of the above exception, another exception occurred:
  34.  
  35. Traceback (most recent call last):
  36.   File "/usr/lib/python3.6/site-packages/urllib3/connection.py", line 171, in _new_conn
  37.     (self._dns_host, self.port), self.timeout, **extra_kw)
  38.   File "/usr/lib/python3.6/site-packages/urllib3/util/connection.py", line 56, in create_connection
  39.     for res in socket.getaddrinfo(host, port, family, socket.SOCK_STREAM):
  40.   File "/usr/lib/python3.6/socket.py", line 745, in getaddrinfo
  41.     for res in _socket.getaddrinfo(host, port, family, type, proto, flags):
  42. socket.gaierror: [Errno -3] Try again
  43.  
  44. During handling of the above exception, another exception occurred:
  45.  
  46. Traceback (most recent call last):
  47.   File "/usr/lib/python3.6/site-packages/urllib3/connectionpool.py", line 600, in urlopen
  48.     chunked=chunked)
  49.   File "/usr/lib/python3.6/site-packages/urllib3/connectionpool.py", line 343, in _make_request
  50.     self._validate_conn(conn)
  51.   File "/usr/lib/python3.6/site-packages/urllib3/connectionpool.py", line 849, in _validate_conn
  52.     conn.connect()
  53.   File "/usr/lib/python3.6/site-packages/urllib3/connection.py", line 314, in connect
  54.     conn = self._new_conn()
  55.   File "/usr/lib/python3.6/site-packages/urllib3/connection.py", line 180, in _new_conn
  56.     self, "Failed to establish a new connection: %s" % e)
  57. urllib3.exceptions.NewConnectionError: <urllib3.connection.VerifiedHTTPSConnection object at 0x7fd953560710>: Failed to establish a new connection: [Errno -3] Try again
  58.  
  59. During handling of the above exception, another exception occurred:
  60.  
  61. Traceback (most recent call last):
  62.   File "/usr/lib/python3.6/site-packages/requests/adapters.py", line 445, in send
  63.     timeout=timeout
  64.   File "/usr/lib/python3.6/site-packages/urllib3/connectionpool.py", line 638, in urlopen
  65.     _stacktrace=sys.exc_info()[2])
  66.   File "/usr/lib/python3.6/site-packages/urllib3/util/retry.py", line 398, in increment
  67.     raise MaxRetryError(_pool, url, error or ResponseError(cause))
  68. urllib3.exceptions.MaxRetryError: HTTPSConnectionPool(host='device-login.lutron.com', port=443): Max retries exceeded with url: /oauth/token (Caused by NewConnectionError('<urllib3.connection.VerifiedHTTPSConnection object at 0x7fd953560710>: Failed to establish a new connection: [Errno -3] Try again',))
  69.  
  70. During handling of the above exception, another exception occurred:
  71.  
  72. Traceback (most recent call last):
  73.   File "/usr/lib/python3.6/site-packages/flask/app.py", line 2292, in wsgi_app
  74.     response = self.full_dispatch_request()
  75.   File "/usr/lib/python3.6/site-packages/flask/app.py", line 1815, in full_dispatch_request
  76.     rv = self.handle_user_exception(e)
  77.   File "/usr/lib/python3.6/site-packages/flask/app.py", line 1718, in handle_user_exception
  78.     reraise(exc_type, exc_value, tb)
  79.   File "/usr/lib/python3.6/site-packages/flask/_compat.py", line 35, in reraise
  80.     raise value
  81.   File "/usr/lib/python3.6/site-packages/flask/app.py", line 1813, in full_dispatch_request
  82.     rv = self.dispatch_request()
  83.   File "/usr/lib/python3.6/site-packages/flask/app.py", line 1799, in dispatch_request
  84.     return self.view_functions[rule.endpoint](**req.view_args)
  85.   File "/etc/lutron/cert_server.py", line 253, in process_url
  86.     get_certificate(oauth_code)
  87.   File "/etc/lutron/cert_server.py", line 109, in get_certificate
  88.     'grant_type': 'authorization_code'}).json()
  89.   File "/usr/lib/python3.6/site-packages/requests/api.py", line 112, in post
  90.     return request('post', url, data=data, json=json, **kwargs)
  91.   File "/usr/lib/python3.6/site-packages/requests/api.py", line 58, in request
  92.     return session.request(method=method, url=url, **kwargs)
  93.   File "/usr/lib/python3.6/site-packages/requests/sessions.py", line 512, in request
  94.     resp = self.send(prep, **send_kwargs)
  95.   File "/usr/lib/python3.6/site-packages/requests/sessions.py", line 622, in send
  96.     r = adapter.send(request, **kwargs)
  97.   File "/usr/lib/python3.6/site-packages/requests/adapters.py", line 513, in send
  98.     raise ConnectionError(e, request=request)
  99. requests.exceptions.ConnectionError: HTTPSConnectionPool(host='device-login.lutron.com', port=443): Max retries exceeded with url: /oauth/token (Caused by NewConnectionError('<urllib3.connection.VerifiedHTTPSConnection object at 0x7fd953560710>: Failed to establish a new connection: [Errno -3] Try again',))
  100. 192.168.0.138 - - [08/Oct/2018 20:46:06] "POST /process_url HTTP/1.1" 500 -
RAW Paste Data
We use cookies for various purposes including analytics. By continuing to use Pastebin, you agree to our use of cookies as described in the Cookies Policy. OK, I Understand
 
Top